Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1141701 - Default graphite-web vhost config generates 404
Summary: Default graphite-web vhost config generates 404
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: graphite-web
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-15 09:31 UTC by Piotr Popieluch
Modified: 2020-11-05 09:43 UTC (History)
1 user (show)

Fixed In Version: graphite-web-0.9.12-8.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-12 04:18:56 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
allow access to wsgi file (589 bytes, text/plain)
2014-09-15 09:31 UTC, Piotr Popieluch
no flags Details

Description Piotr Popieluch 2014-09-15 09:31:11 UTC
Created attachment 937496 [details]
allow access to wsgi file

Description of problem:
graphite-web ships a default Apache httpd vhost config. This config generates a 404 error which makes graphite unusable. The wsgi file  /usr/share/graphite/graphite-web.wsgi is not accessible. Attached is a proposed patch which allows access to the wsgi file from localhost.


Version-Release number of selected component (if applicable):
0.9.12


How reproducible:
Always


Steps to Reproduce:
1. # dnf install graphite-web
2. open browser to http://graphite-web and get a 404 forbidden
3.


Actual results:
404 forbidden


Expected results:
Working graphite-web composer window

Additional info:

Comment 1 Jonathan Steffan 2014-09-28 22:34:38 UTC
Thanks. I will review and merge in these changes.

Comment 2 Fedora Update System 2014-11-14 19:13:55 UTC
graphite-web-0.9.12-8.fc21,python-carbon-0.9.12-6.fc21,python-whisper-0.9.12-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-8.fc21,python-carbon-0.9.12-6.fc21,python-whisper-0.9.12-4.fc21

Comment 3 Fedora Update System 2014-11-14 19:16:23 UTC
graphite-web-0.9.12-8.fc20,python-carbon-0.9.12-6.fc20,python-whisper-0.9.12-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-8.fc20,python-carbon-0.9.12-6.fc20,python-whisper-0.9.12-4.fc20

Comment 4 Fedora Update System 2014-11-15 09:06:46 UTC
Package graphite-web-0.9.12-8.fc20, python-carbon-0.9.12-6.fc20, python-whisper-0.9.12-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing graphite-web-0.9.12-8.fc20 python-carbon-0.9.12-6.fc20 python-whisper-0.9.12-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15082/graphite-web-0.9.12-8.fc20,python-carbon-0.9.12-6.fc20,python-whisper-0.9.12-4.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-12-12 04:18:56 UTC
graphite-web-0.9.12-8.fc21, python-carbon-0.9.12-6.fc21, python-whisper-0.9.12-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-12-12 04:20:02 UTC
graphite-web-0.9.12-8.fc20, python-carbon-0.9.12-6.fc20, python-whisper-0.9.12-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.